#include<iostream>
using namespace std;
int nums[2000000], opts[2000000];
int main(){
    int n, k;
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>nums[i];
        opts[i]=nums[i]-i*k;
    }
    int ans=0;
    for(int i=1;i<n;i++){
        int i1=0;
        for(int j=0;j<i;j++){
            if(opts[j]<opts[i1]){
                i1=j;
            }
        }
        if(nums[i]-nums[i1]-(i-i1)*k>0){
            ans+=nums[i]-nums[i1]-(i-i1)*k;
            opts[i1]=1000000000;
        }
    }
    cout<<ans<<endl;
    return 0;
}
